<script setup lang="ts">
const props = defineProps(['data'])
</script>
<template>
  <div class="border-solid border-1 border-gray-200 rounded-lg p-5 mt-4">
    <div class="flex justify-between">
      <h2 class="text-5">{{ props.data.label }}</h2>
      <span class="flex justify-between">
        <!-- COMPLETE -->
        <span v-if="props.data.status === 2" class="flex mr-10 text-5">
          <img src="/images/check2-circle.svg" alt="Complete" class="w-6 mr-3" />
          <span class="opacity-50 brand-green-color w-25">Complete</span>
        </span>
        <!-- BOOKED -->
        <span v-else-if="props.data.status === 1" class="flex mr-10 text-5">
          <img src="/images/calendar-check.svg" alt="Booked" class="w-5 mr-3" />
          <span class="brand-blue-color w-25">Booked</span>
        </span>
        <!-- BOOK NOW -->
        <a href="#" v-else class="flex mr-10 text-5">
          <img src="/images/calendar.svg" alt="Book now" class="opacity-50 w-5 mr-3" />
          <span class="brand-blue-color w-25">Book now</span>
        </a>

        <a href="#">
          <img src="/images/three-dots.svg" alt="Menu" class="w-7 opacity-20" />
        </a>
      </span>
    </div>
  </div>
</template>
